Subject: Re: [RFC PATCH v0.1] net driver: mpc52xx fec

From: Juergen Beisert <[email-masked]>
Date: Fri, 28 Sep 2007 17:07:44 +0200

On Thursday 27 September 2007 19:07, Juergen Beisert wrote:
> On Friday 10 August 2007 11:51, Domen Puncer wrote:
> > Not for merge (yet)! But please do review.
> >
> > fec_mpc52xx driver (not in-tree, but floating around) isn't in very
> > good shape, so I tried to change that.
> > Diff against original is quite big (fec_phy.c is completely rewritten)
> > and confuzing, so I'm including whole drivers/net/fec_mpc52xx/ .
> >
> > I still have 'make CONFIG_FEC_MPC52xx_MDIO=n compile and work' on my
> > TODO, maybe even ethtool support.

I add a few more debug outputs and now with this driver I can run a

$ nmap <ip>

from my host against the target and target's network stops always at the same 
point.

The last output from the driver is (with DEBUG macro defined):

net eth0: ievent: 08020000

and no further interrupt occurs anymore (I checked all three interrupt entry 
functions)

nmap on host's side outputs:

Starting Nmap 4.20 ( http://insecure.org ) at 2007-09-28 16:56 CEST
Interesting ports on 192.168.23.226:
Not shown: 852 filtered ports, 843 closed ports
PORT   STATE SERVICE
22/tcp open  ssh
23/tcp open  telnet

Nmap finished: 1 IP address (1 host up) scanned in 14.120 seconds

But I can't run it a second time, as the network on target's side doesn't 
respond. Any idea?

Juergen

-- 
Dipl.-Ing. Juergen Beisert | http://www.pengutronix.de
 Pengutronix - Linux Solutions for Science and Industry
    Handelsregister: Amtsgericht Hildesheim, HRA 2686
         Vertretung Sued/Muenchen, Germany
   Phone: +49-8766-939 228 |  Fax: +49-5121-206917-9